Description

I recently had to fix Magento after a hung update happened. After looking around online I found that Magento can be update directly

from the command line. This is a guide for doing so.

Make sure sudo is installed:

pkg install sudo

Make the mage script executable:

chmod u+x /usr/local/www/sites/magento.example.com/mage

Change into the magento install directory:

cd /usr/local/www/sites/magento.example.com

Set the maintenance.flag file:

touch /usr/local/www/sites/magento.example.com/maintenance.flag

Show the list of installed Magento packages:

sudo -u www sh /usr/local/www/sites/magento.example.com/mage list-installed

Upgrade any other packages:

sudo -u www sh /usr/local/www/sites/magento.example.com/mage upgrade-all --force

Force the reinstallation of the Mage_All_Latest package:

sudo -u www sh /usr/local/www/sites/magento.example.com/mage install http://connect20.magentoc

ommerce.com/community Mage_All_Latest --force
Reindex everything:

php shell/indexer.php reindexall

Set the correct permissions:

chmod -R 644 /usr/local/www/sites/magento.example.com/*

find /usr/local/www/sites/magento.example.com -type d -exec chmod 755 {} \;

chmod 550 /usr/local/www/sites/magento.example.com/mage

Flush all cache and sessions:

rm -rf /usr/local/www/sites/magento.example.com/var/{cache,session}/*

NOTE: For some reason I also needed to remove the old pkginfo/Mage_All_Latest.txt directory:

rm -rf /usr/local/www/sites/magento.example.com/pkginfo/Mage_All_Latest.txt

Remove the maintenance.flag file:

rm /usr/local/www/sites/magento.example.com/maintenance.flag

Resources

https://community.magento.com/t5/Version-Upgrades/CE-1-9-2-update-via-SSH/td-p/10562

https://firebearstudio.com/blog/upgrade-to-magento-community-1-9-by-ssh.html

History

#1 - 11/30/2015 04:06 PM - Daniel Curtis

- Status changed from New to In Progress

- % Done changed from 0 to 50

#2 - 11/30/2015 04:34 PM - Daniel Curtis

- Description updated

#3 - 11/30/2015 05:19 PM - Daniel Curtis

- Project changed from GNU/Linux Administration to Website Hosting

- Description updated

- Category deleted (Web Server)

- Status changed from In Progress to Resolved

- Target version changed from *nix to Magento 1.9

- % Done changed from 50 to 100

#4 - 02/20/2016 07:14 PM - Daniel Curtis

- Status changed from Resolved to Closed
#5 - 02/24/2016 05:52 PM - Daniel Curtis

- Description updated
